<loading [show]="loading"></loading>
<div id="content_wrapper" class="content-full-wrapper">
	<div class="content">
		<div class="header-wrapper header-sm">
			<header class="container-fluid">
				<div class="row">
					<div class="col">
						<h1>งานก่อสร้าง</h1>
					</div>
				</div>
			</header>
		</div>
		<div class="content-body">
			<div class="row">
				<div class="col">
					<div class="card">

						<div class="row header-content">

							<div class="col-md-10">
								<header class="card-header ">
									<h2 class="card-title" *ngIf="id == '0'">
										เพิ่มงานก่อสร้าง
									</h2>

									<h2 class="card-title" *ngIf="id != '0'">
										แก้ไขงานก่อสร้าง
									</h2>
								</header>
							</div>

						</div>


						<div class="card-block">
							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<span style="color:red">*</span> &nbsp;
									<label>ชื่อกลุ่มงาน : </label>
								</div>
								<div class="col-md-2">
									<mat-form-field>
										<mat-select [(ngModel)]="data.constructionGroupId"
											[ngModelOptions]="{standalone: true}"
											(ngModelChange)="selectedConstructionGroup()">
											<mat-option value="">กรุณาเลือกชื่อกลุ่มงาน</mat-option>
											<mat-option *ngFor="let item of drpConstructionGroup" [value]="item.id">
												{{item?.name}}</mat-option>
										</mat-select>
									</mat-form-field>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<span style="color:red">*</span> &nbsp;
									<label>รหัสงาน : </label>
								</div>
								<div class="col-md-2">
									<mat-form-field>
										<input matInput [(ngModel)]="data.code" [ngModelOptions]="{standalone: true}">
									</mat-form-field>
								</div>

								<div class="col-md-3 text-right p-t-label">
									<label>รหัสผังบัญชี : </label>
								</div>
								<div class="col-md-2">
									<mat-form-field>
										<input matInput [(ngModel)]="data.accountCode"
											[ngModelOptions]="{standalone: true}">
									</mat-form-field>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>รหัสงบประมาณ : </label>
								</div>
								<div class="col-md-2">
									<mat-form-field>
										<input matInput [(ngModel)]="data.budgetCode" [ngModelOptions]="{standalone: true}">
									</mat-form-field>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<span style="color:red">*</span> &nbsp;
									<label>ชื่องาน : </label>
								</div>
								<div class="col-md-7">
									<mat-form-field>
										<input matInput [(ngModel)]="data.name" [ngModelOptions]="{standalone: true}">
									</mat-form-field>
								</div>
							</div>


							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>การสั่งงาน : </label>
								</div>
								<div class="col-md-7 p-t-15">
									<mat-radio-group [(ngModel)]="data.workOrderType"
										[ngModelOptions]="{standalone: true}">
										<mat-radio-button value="L" style="margin-right:10px;">แปลง</mat-radio-button>
										<mat-radio-button value="B">block</mat-radio-button>
									</mat-radio-group>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>รายละเอียด : </label>
								</div>
								<div class="col-md-7 m-t-20">
									<!-- <textarea matInput rows="5" [ngModel]="data?.detail" [ngModelOptions]="{standalone: true}"></textarea> -->
									<textarea name="detail" rows="5" class="form-control" [(ngModel)]="data.detail"
										[ngModelOptions]="{standalone: true}"></textarea>
								</div>
							</div>

							<div class="row m-t-20">
								<div class="col-md-3 text-right p-t-label">
									<label>สถานะการใช้งาน : </label>
								</div>
								<div class="col-md-7 p-t-label">
									<mat-slide-toggle [(ngModel)]="data.active"></mat-slide-toggle>
								</div>
							</div>

							<div class="row">
								<div class="col-md-3 text-right p-t-label">
									<label>Cert : </label>
								</div>
								<div class="col-md-7 p-t-15">
									<mat-checkbox [(ngModel)]="data.cert"></mat-checkbox>
								</div>
							</div>

							<div class="row m-t-20">
								<div class="col-md-3 text-right">
									<label>แบบงาน : </label>
								</div>
								<div class="col-md-7">
									<i class="material-icons mat-icons-add" style="cursor:pointer"
										matTooltip="{{config.tooltripMsg.add}}"
										(click)="openModalAddWorkModel(modalWorkModel,1)">
										add_box
									</i>
								</div>
							</div>

							<div class="row justify-content-center">
								<div class="col-md-6">
									<table class="table table-hover">
										<thead>
											<tr>
												<th class="text-left">แบบงาน</th>
												<th class="text-center">จัดการ</th>
											</tr>
										</thead>
										<tbody>
											<tr *ngFor="let item of tempWorkModel ; let i=index">
												<ng-container *ngIf="item?.flag != 3">

													<td class="text-left icon-pointer-toolbar">
														<span class="icon-pointer-toolbar">{{item?.name}}</span>
													</td>

													<td class="text-center">
														<a href="javascript:void(0)" class="icon">
															<i class="zmdi zmdi-edit"
																matTooltip="{{config.tooltripMsg.edit}}"
																(click)="editWorkModel(i,modalWorkModel,2)"></i>
														</a>
														<a href="javascript:void(0)" class="icon">
															<i class="zmdi zmdi-delete"
																matTooltip="{{config.tooltripMsg.delete}}"
																(click)="delWorkGroupModel(i,3)"></i>
														</a>
													</td>

												</ng-container>
											</tr>
										</tbody>
									</table>
								</div>
							</div>

							<div class="row" *ngIf="!submitValue.result">
								<div class="alert alert-danger col-12 text-center" role="alert">
									<label>{{submitValue.resultMsg}}</label>
								</div>
							</div>

							<div class="row justify-content-center">
								<button type="button" class="btn btn-info width-button"
									(click)="onSubmit()">บันทึก</button>
								<button type="button" class="btn btn-danger width-button" style="margin-left:10px"
									[routerLink]="['/master-setting/job-construction']">ยกเลิก</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>
<loading [show]="loading"></loading>

<!-- modal work model -->
<ng-template #modalWorkModel let-c="close" let-d="dismiss">
	<div class="modal-header">
		<!-- <h4>เพิ่มงาน</h4> -->
		เพิ่มแบบงาน
		<i class="fa fa-times" style="color: white;" (click)="d('กากบาท')"></i>
	</div>

	<div class="modal-body" style="max-height: 500px">

		<div class="row m-t-20" *ngIf="!ValidateWorkModel.result">
			<div class="alert alert-danger col-12 text-center" role="alert">
				<label>{{ValidateWorkModel.errMsg}}</label>
			</div>
		</div>

		<div class="row m-t-20">
			<div class="col-md-3 text-right">
				<label>ชื่อแบบงาน : </label>
			</div>
			<div class="col-md-9">
				<input matInput [(ngModel)]="workModelName" [ngModelOptions]="{standalone: true}">
			</div>
		</div>

		<div class="row justify-content-center" style="margin-top:20px;">
			<button type="button" class="btn btn-info width-button" (click)="confirmAddWorkModel()">
				บันทึก
			</button>
			<button type="button" class="btn btn-danger width-button" (click)="c('close')" style="margin-left:10px">
				ยกเลิก
			</button>
		</div>
	</div>
</ng-template>
<!--end modal work model -->

<!-- modal confirm del task -->
<ng-template #modalConfirmDelTask let-c="close" let-d="dismiss">
	<div class="modal-body">
		<div class="row justify-content-center">
			<i class="zmdi zmdi-hc-4x zmdi-delete" style="color:red;"></i>
		</div>
		<br>
		<div class="row justify-content-center">
			<h1>คุณต้องการลบข้อมูลใช่หรือไม่</h1>
		</div>
		<div class="row justify-content-center">
			<button type="button" class="btn btn-success width-button" (click)="c()">
				ตกลง</button>
			<button type="button" class="btn btn-close width-button" (click)="d('Cross click')">ยกเลิก</button>
		</div>
	</div>
</ng-template>
<!--end modal confirm del task -->